## deepin-desktop-theme 1.0.21

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11)

message(${CMAKE_CURRENT_SOURCE_DIR})

project(deepin-desktop-theme)

add_subdirectory("bloom")
add_subdirectory("vintage")
add_subdirectory("flow")
add_subdirectory("hazy-color")
add_subdirectory("organic-glass")
add_subdirectory("macaron")
add_subdirectory("square")

=== debian/changelog ===
deepin-desktop-theme (1.0.21) unstable; urgency=medium

  * chore: 变更bloom主题的壁纸

 -- fuleyi <fuleyi@uniontech.com>  Fri, 09 Aug 2024 14:21:09 +0800

deepin-desktop-theme (1.0.20) unstable; urgency=medium

  * release 1.0.20

 -- Zhang Kun <zhangkun2@uniontech.com>  Wed, 31 Jul 2024 15:32:43 +0800

deepin-desktop-theme (1.0.19) unstable; urgency=medium

  * bump to version 1.0.19

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 24 Jul 2024 14:01:29 +0800

deepin-desktop-theme (1.0.18) unstable; urgency=medium

  * fix: missing vintage icon(Issue: https://github.com/linuxdeepin/developer-center/issues/9591)

 -- Zhang Kun <zhangkun2@uniontech.com>  Tue, 09 Jul 2024 17:31:21 +0800

deepin-desktop-theme (1.0.17) unstable; urgency=medium

  * release 1.0.17
  * Fix linuxdeepin/developer-center#9372
  * Fix linuxdeepin/developer-center#9387

 -- Mike Chen <chenke@deepin.org>  Tue, 02 Jul 2024 13:18:22 +0800

deepin-desktop-theme (1.0.16) unstable; urgency=medium

  * release 1.0.16
  * update dci icons

 -- Zhang kun <zhangkun2@uniontech.com>  Thu, 13 Jun 2024 10:59:37 +0800

deepin-desktop-theme (1.0.15) unstable; urgency=medium

  * release 1.0.15

 -- Mike Chen <chenke@deepin.org>  Fri, 24 May 2024 16:52:26 +0800

deepin-desktop-theme (1.0.14) unstable; urgency=medium

  * release 1.0.14

 -- Mike Chen <chenke@deepin.org>  Thu, 23 May 2024 17:16:50 +0800

deepin-desktop-theme (1.0.13) unstable; urgency=medium

  * chore: Update deepin-home and eye-care icons(Issue: https://github.com/linuxdeepin/developer-center/issues/8371)
  * feat: add dci icons for bloom(Issue: https://github.com/linuxdeepin/developer-center/issues/8343)

 -- Yixue Wang <wangyixue@deepin.org>  Tue, 07 May 2024 13:48:05 +0800

deepin-desktop-theme (1.0.12) unstable; urgency=medium

  * release 1.0.12

 -- Mike Chen <chenke@deepin.org>  Fri, 26 Apr 2024 16:32:30 +0800

deepin-desktop-theme (1.0.11) unstable; urgency=medium

  * release 1.0.11

 -- Yutao Meng <mengyutao@deepin.org>  Tue, 23 Apr 2024 16:38:00 +0800

deepin-desktop-theme (1.0.10) unstable; urgency=medium

  * release 1.0.10

 -- Mike Chen <chenke@deepin.org>  Thu, 01 Feb 2024 16:12:36 +0800

deepin-desktop-theme (1.0.9) unstable; urgency=medium

  * chore: 删除多余的dci图标
  * invalid GTK icon cache
  * chore: Modify icon name

 -- bluesky <chenchongbiao@deepin.org>  Thu, 16 Nov 2023 10:31:21 +0800

deepin-desktop-theme (1.0.8) unstable; urgency=medium

  * fix organic-glass and square theme
  * fix README by hotime

 -- chenhongtao <chenhongtao@deepin.org>  Tue, 08 Aug 2023 14:20:00 +0800

deepin-desktop-theme (1.0.7) unstable; urgency=medium

  * 新增 square 主题
  * 补充部分常见应用图标与缺失图标

 -- Wang Zichong <wangzichong@deepin.org>  Fri, 14 Jul 2023 11:37:00 +0800

deepin-desktop-theme (1.0.6) unstable; urgency=medium

  * 新增马卡龙主题
  * 补充部分常见应用图标
  * 压缩 dci 图标大小

 -- chenke <chenke@deepin.org>  Mon, 03 Apr 2023 13:59:38 +0800

deepin-desktop-theme (1.0.5) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 添加dock面板图标至flow(Bug: 184085)(Influence: flow主题资源更新)

 -- lvpeilong <lvpeilong@uniontech.com>  Wed, 01 Feb 2023 10:33:07 +0800

deepin-desktop-theme (1.0.4.1) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: 添加bloom,Vintage主题(Task: 234693)(Influence: 控制中心-个性化-主题)

 -- caixiangrong <caixiangrong@uniontech.com>  Tue, 10 Jan 2023 13:45:38 +0800

deepin-desktop-theme (1.0.4) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 更新主题资源(Task: 234693)(Influence: 控制中心-个性化-主题)

 -- lvpeilong <lvpeilong@uniontech.com>  Fri, 06 Jan 2023 15:39:38 +0800

deepin-desktop-theme (1.0.3) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 修改高可定主题包活动色(Task: 224771)(Influence: 控制中心-个性化-主题)
  * fix: 修改透明度默认值(Bug: 179325)(Influence: 控制中心-个性化-透明度调节-默认值)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 29 Dec 2022 15:15:20 +0800

deepin-desktop-theme (1.0.2) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 创建deepin-desktop-theme虚包(Bug: 207495)(Influence: 控制中心-个性化)
  * fix: 处理镜像冲突(Task: 225151)(Influence: 无)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 13 Dec 2022 19:26:36 +0800

deepin-desktop-theme (1.0.1) unstable; urgency=medium

  * Initial release

-- caixiangrong <caixiangrong@uniontech.com>  Mon, 5 Dec 2022 12:12:33 +0800

## deepin-desktop-theme 1.0.25

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,3 +11,8 @@
 add_subdirectory("organic-glass")
 add_subdirectory("macaron")
 add_subdirectory("square")
+
+file(GLOB SOURCEDIRS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*.dci")
+foreach ( val  ${SOURCEDIRS} )
+    install(FILES ${val} DESTINATION share/dsg/icons)
+endforeach ()

=== debian/changelog ===
deepin-desktop-theme (1.0.25) unstable; urgency=medium

  * release 1.0.25

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 13 Nov 2024 14:06:48 +0800

deepin-desktop-theme (1.0.24) unstable; urgency=medium

  * feat: add icons directory to place generic icons

 -- xionglinlin <xionglinlin@uniontech.com>  Fri, 25 Oct 2024 11:50:04 +0800

deepin-desktop-theme (1.0.23) unstable; urgency=medium

  * fix: update clash icon

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 24 Oct 2024 10:16:53 +0800

deepin-desktop-theme (1.0.22) unstable; urgency=medium

  * fix: clash icon display minimal

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 04 Sep 2024 17:24:01 +0800

 deepin-desktop-theme (1.0.21) unstable; urgency=medium

  * chore: 变更bloom主题的壁纸

 -- fuleyi <fuleyi@uniontech.com>  Fri, 09 Aug 2024 14:21:09 +0800

=== debian/control ===
Source: deepin-desktop-theme
Section: devel
Priority: optional
Maintainer: caixiangrong <caixiangrong@uniontech.com>
Build-Depends: debhelper (>= 9),
   cmake
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: deepin-theme-bloom
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},deepin-icon-theme
Description: deepin desktop-environment - bloom theme
 deepin theme bloom.

Package: deepin-theme-bloom-dark
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},deepin-icon-theme,
 deepin-theme-bloom( =${binary:Version})
Description: deepin desktop-environment - bloom dark theme
 deepin theme dark bloom.

Package: deepin-theme-vintage
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},deepin-icon-theme
Description: deepin desktop-environment - Vintage theme
 deepin theme Vintage icon.

Package: deepin-theme-flow
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},deepin-icon-theme
Description: deepin desktop-environment - flow theme
 deepin theme flow.

Package: deepin-theme-square
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},deepin-icon-theme
Description: deepin desktop-environment - square theme
 deepin theme square.

Package: deepin-theme-hazy-color
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},
Description: deepin desktop-environment - hazy color theme
 deepin theme hazy color.

Package: deepin-theme-organic-glass
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},
Description: deepin desktop-environment - organic glass theme
 deepin theme organic glass.

Package: deepin-theme-macaron
Architecture: any
Depends: ${misc:Depends},${shlibs:Depends},
Description: deepin desktop-environment - macaron theme
 deepin theme organic glass.

Package: deepin-desktop-theme
Architecture: any
Depends:
   deepin-theme-bloom,
   deepin-theme-bloom-dark,
   deepin-theme-vintage,
   deepin-theme-organic-glass,
   deepin-theme-hazy-color,
   deepin-theme-flow,
   deepin-theme-square,
   deepin-theme-macaron
Description: deepin desktop theme
 This package is DeepinDesktopTheme

## deepin-desktop-theme 1.0.27

=== debian/changelog ===
deepin-desktop-theme (1.0.27) unstable; urgency=medium

  * release 1.0.27
  * chore: update index.theme

 -- zhangKun <zhangkun2@uniontech.com>  Fri, 13 Dec 2024 14:37:04 +0800

## deepin-desktop-theme 1.1.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 add_subdirectory("organic-glass")
 add_subdirectory("macaron")
 add_subdirectory("square")
+add_subdirectory("nirvana")
 
 file(GLOB SOURCEDIRS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*.dci")
 foreach ( val  ${SOURCEDIRS} )

=== debian/changelog ===
deepin-desktop-theme (1.1.8) unstable; urgency=medium

  * chore: update bloom theme
  * style: update theme to use light wallpaper variant

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 13 May 2025 20:58:15 +0800

deepin-desktop-theme (1.1.7) unstable; urgency=medium

  * chore: update theme
  * chore: remove theme wallpaper

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 29 Apr 2025 14:18:13 +0800

deepin-desktop-theme (1.1.6) unstable; urgency=medium

  * chore: remove unnecessary quotation marks from the Name field

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Mar 2025 17:48:58 +0800

deepin-desktop-theme (1.1.5) unstable; urgency=medium

  * chore: link deepin-home icon from bloom to bloom-dark theme
  * chore: update theme

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 20 Mar 2025 17:48:10 +0800

deepin-desktop-theme (1.1.4) unstable; urgency=medium

  * chore: add org.gnome.SimpleScan.dci

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 17 Jan 2025 10:19:04 +0800

deepin-desktop-theme (1.1.3) unstable; urgency=medium

  * fix: default window corner value is incorrect

 -- zhangkun <zhangkun2@uniontech.com>  Tue, 14 Jan 2025 13:19:04 +0800

deepin-desktop-theme (1.1.2) unstable; urgency=medium

  * chore: update bloom-classic and bloom-classic-dark icons

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 02 Jan 2025 19:09:16 +0800

deepin-desktop-theme (1.1.1) unstable; urgency=medium

  * chore: update the thumbnail of the theme

 -- zhangkun <zhangkun2@uniontech.com>  Tue, 24 Dec 2024 19:53:54 +0800

deepin-desktop-theme (1.1.0) unstable; urgency=medium

  * release 1.1.0 
  * chore: update index.theme and cover image

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 13 Dec 2024 16:49:47 +0800

deepin-desktop-theme (1.0.26) UNRELEASED; urgency=medium

  * release 1.0.26

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 21 Nov 2024 14:52:22 +0800

=== debian/control ===
--- 
+++ 
@@ -54,7 +54,13 @@
 Architecture: any
 Depends: ${misc:Depends},${shlibs:Depends},
 Description: deepin desktop-environment - macaron theme
- deepin theme organic glass.
+ deepin theme macaron.
+
+Package: deepin-theme-nirvana
+Architecture: any
+Depends: ${misc:Depends},${shlibs:Depends},
+Description: deepin desktop-environment - nirvana theme
+ deepin theme nirvana.
 
 Package: deepin-desktop-theme
 Architecture: any
@@ -66,6 +72,7 @@
    deepin-theme-hazy-color,
    deepin-theme-flow,
    deepin-theme-square,
-   deepin-theme-macaron
+   deepin-theme-macaron,
+   deepin-theme-nirvana
 Description: deepin desktop theme
  This package is DeepinDesktopTheme

## deepin-desktop-theme 1.1.9

=== debian/changelog ===
deepin-desktop-theme (1.1.9) unstable; urgency=medium

  * feat: add deepin-scanner icon symlinks

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 10 Jul 2025 19:31:58 +0800

## deepin-desktop-theme 1.1.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,8 @@
 add_subdirectory("square")
 add_subdirectory("nirvana")
 
+add_subdirectory("tools")
+
 file(GLOB SOURCEDIRS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*.dci")
 foreach ( val  ${SOURCEDIRS} )
     install(FILES ${val} DESTINATION share/dsg/icons)

=== tools/CMakeLists.txt ===
add_subdirectory("xdgicon2dci")

=== debian/changelog ===
deepin-desktop-theme (1.1.12) unstable; urgency=medium

  * fix: update all network icons to common folder.

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 14 Aug 2025 17:24:07 +0800

deepin-desktop-theme (1.1.11) unstable; urgency=medium

  * chore: update theme

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 08 Aug 2025 09:43:33 +0800

deepin-desktop-theme (1.1.10) unstable; urgency=medium

  * feat: add xdgicon2dci tool and update build configuration
  * chore: remove redundant icon installation path
  * feat: Move the default theme icon to the public icon area

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 1 Aug 2025 12:31:58 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,10 @@
 Priority: optional
 Maintainer: caixiangrong <caixiangrong@uniontech.com>
 Build-Depends: debhelper (>= 9),
-   cmake
+   cmake,
+   qt6-base-dev,
+   qt6-base-private-dev,
+   libdtk6core-dev,
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org
 
@@ -73,6 +76,8 @@
    deepin-theme-flow,
    deepin-theme-square,
    deepin-theme-macaron,
-   deepin-theme-nirvana
+   deepin-theme-nirvana,
+   libdtk6gui-bin,
+   ${misc:Depends},${shlibs:Depends},
 Description: deepin desktop theme
  This package is DeepinDesktopTheme

## deepin-desktop-theme 1.1.20

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,11 @@
 message(${CMAKE_CURRENT_SOURCE_DIR})
 
 project(deepin-desktop-theme)
+
+if(NOT DEFINED VERSION)
+    set(VERSION 1.0.0)
+endif()
+add_definitions(-DVERSION="${VERSION}")
 
 add_subdirectory("bloom")
 add_subdirectory("vintage")
@@ -12,6 +17,7 @@
 add_subdirectory("macaron")
 add_subdirectory("square")
 add_subdirectory("nirvana")
+add_subdirectory("origin")
 
 add_subdirectory("tools")

=== bloom/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11)

message(${CMAKE_CURRENT_SOURCE_DIR})

string(REGEX REPLACE ".*/(.*)" "\\1" PROJ ${CMAKE_CURRENT_SOURCE_DIR})
project(deepin-theme-${PROJ})

message(${PROJECT_NAME})

macro(install_dir sourcedir desdir)
    if (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${sourcedir}")
        file(GLOB SOURCEDIRS "${CMAKE_CURRENT_SOURCE_DIR}/${sourcedir}/*")
        foreach ( val  ${SOURCEDIRS} )
            if (IS_DIRECTORY ${val} )
                install(DIRECTORY ${val} DESTINATION ${desdir})
            else()
                install(FILES ${val} DESTINATION ${desdir})
            endif()
        endforeach ()
    endif()
endmacro()

install_dir(icons share/icons)
install_dir(dsg-icons share/dsg/icons)
install_dir(deepin-themes share/deepin-themes)
install_dir(wallpapers share/wallpapers/deepin)

=== macaron/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11)

message(${CMAKE_CURRENT_SOURCE_DIR})

string(REGEX REPLACE ".*/(.*)" "\\1" PROJ ${CMAKE_CURRENT_SOURCE_DIR})
project(deepin-theme-${PROJ})

message(${PROJECT_NAME})

macro(install_dir sourcedir desdir)
    if (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${sourcedir}")
        file(GLOB SOURCEDIRS "${CMAKE_CURRENT_SOURCE_DIR}/${sourcedir}/*")
        foreach ( val  ${SOURCEDIRS} )
            if (IS_DIRECTORY ${val} )
                install(DIRECTORY ${val} DESTINATION ${desdir})
            else()
                install(FILES ${val} DESTINATION ${desdir})
            endif()
        endforeach ()
    endif()
endmacro()

install_dir(icons share/icons)
install_dir(dsg-icons share/dsg/icons)
install_dir(deepin-themes share/deepin-themes)
#install_dir(wallpapers share/wallpapers/deepin)

=== origin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11)

message(${CMAKE_CURRENT_SOURCE_DIR})

string(REGEX REPLACE ".*/(.*)" "\\1" PROJ ${CMAKE_CURRENT_SOURCE_DIR})
project(deepin-theme-${PROJ})

message(${PROJECT_NAME})

macro(install_dir sourcedir desdir)
    if (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${sourcedir}")
        file(GLOB SOURCEDIRS "${CMAKE_CURRENT_SOURCE_DIR}/${sourcedir}/*")
        foreach ( val  ${SOURCEDIRS} )
            if (IS_DIRECTORY ${val} )
                install(DIRECTORY ${val} DESTINATION ${desdir})
            else()
                install(FILES ${val} DESTINATION ${desdir})
            endif()
        endforeach ()
    endif()
endmacro()

install_dir(icons share/icons)
install_dir(dsg-icons share/dsg/icons)
install_dir(deepin-themes share/deepin-themes)

=== tools/CMakeLists.txt ===
add_subdirectory("xdgicon2dci")
add_subdirectory("deepin-xdgicon-convert")

=== tools/deepin-xdgicon-convert/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11)
set(TOOL_NAME deepin-xdgicon-convert)

include(GNUInstallDirs)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt6 REQUIRED COMPONENTS Core Gui Widgets LinguistTools)
find_package(Dtk6 REQUIRED COMPONENTS Gui Widget)

set(TRANSLATION_LANGUAGES zh_CN)

set(TRANSLATION_FILES "")
foreach(LANG ${TRANSLATION_LANGUAGES})
    list(APPEND TRANSLATION_FILES "${CMAKE_CURRENT_SOURCE_DIR}/translations/deepin-xdgicon-convert_${LANG}.ts")
endforeach()

# can generate ts and qm file
qt_add_translations(${TOOL_NAME}
    TS_FILES ${TRANSLATION_FILES}
    SOURCES ${TRANS_FILE_SOURCE}
    LUPDATE_OPTIONS -no-obsolete -no-ui-lines -locations none
    QM_FILES_OUTPUT_VARIABLE TR_QM_FILES
)

set(SOURCES
    src/main.cpp
    src/mainwindow.cpp
    src/filechooserwidget.cpp
    src/convertworker.cpp
    src/res/main.qrc
)

add_executable(${TOOL_NAME} ${SOURCES})

# 链接库
target_link_libraries(${TOOL_NAME}
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
    Dtk6::Gui
    Dtk6::Widget
)

install(TARGETS ${TOOL_NAME} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES ${TR_QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/${TOOL_NAME}/translations)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/misc/deepin-xdgicon-convert.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/misc/deepin-xdgicon-convert.svg DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps/)

=== tools/xdgicon2dci/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11)

project(xdgicon2dci)

find_package(Qt6 COMPONENTS Core Gui REQUIRED)
find_package(Dtk6 COMPONENTS Core REQUIRED)

add_executable(xdgicon2dci main.cpp)
target_link_libraries(xdgicon2dci PRIVATE
    Qt6::Core
    Qt6::Gui
    Qt6::GuiPrivate
    Dtk6::Core
)

set_property(TARGET xdgicon2dci PROPERTY CXX_STANDARD 17)
set_property(TARGET xdgicon2dci PROPERTY CXX_STANDARD_REQUIRED ON)

install(TARGETS xdgicon2dci DESTINATION libexec/deepin-desktop-theme)

=== debian/changelog ===
deepin-desktop-theme (1.1.20) unstable; urgency=medium

  * chore: simplify theme package dependencies

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 23 Oct 2025 17:35:16 +0800

deepin-desktop-theme (1.1.19) unstable; urgency=medium

  * fix: remove deepin-theme-macaron from package dependencies
  * feat: update theme icons

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 23 Oct 2025 14:52:06 +0800

deepin-desktop-theme (1.1.18) unstable; urgency=medium

  * feat: add origin theme
  * feat: add origin theme and improve xdgicon-convert tool
  * feat: add deepin-xdgicon-convert tool

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 16 Oct 2025 20:52:06 +0800

deepin-desktop-theme (1.1.17) unstable; urgency=medium

  * fix: improve icon file synchronization logic

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 25 Sep 2025 20:37:09 +0800

deepin-desktop-theme (1.1.16) unstable; urgency=medium

  * feat: add user-desktop symlinks for icon themes

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 18 Sep 2025 20:05:24 +0800

deepin-desktop-theme (1.1.15) unstable; urgency=medium

  * fix: remove exit call in postinst script

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 12 Sep 2025 09:54:45 +0800

deepin-desktop-theme (1.1.14) unstable; urgency=medium

  * Revert "chore: remove redundant icon installation path"
  * Revert "feat: Move the default theme icon to the public icon area"

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 04 Sep 2025 21:42:07 +0800

deepin-desktop-theme (1.1.13) unstable; urgency=medium

  * chore: remove redundant icon symlinks

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 21 Aug 2025 19:48:32 +0800

=== debian/control ===
Source: deepin-desktop-theme
Section: devel
Priority: optional
Maintainer: caixiangrong <caixiangrong@uniontech.com>
Build-Depends: debhelper (>= 9),
   cmake,
   qt6-base-dev,
   qt6-base-private-dev,
   qt6-tools-dev,
   libdtk6widget-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: deepin-theme-bloom
Architecture: all
Depends: deepin-icon-theme
Description: deepin desktop-environment - bloom theme
 deepin theme bloom.

Package: deepin-theme-bloom-dark
Architecture: all
Depends: deepin-icon-theme,
 deepin-theme-bloom( =${binary:Version})
Description: deepin desktop-environment - bloom dark theme
 deepin theme dark bloom.

Package: deepin-theme-vintage
Architecture: all
Depends: deepin-icon-theme
Description: deepin desktop-environment - Vintage theme
 deepin theme Vintage icon.

Package: deepin-theme-flow
Architecture: all
Depends: deepin-icon-theme
Description: deepin desktop-environment - flow theme
 deepin theme flow.

Package: deepin-theme-square
Architecture: all
Depends: deepin-icon-theme
Description: deepin desktop-environment - square theme
 deepin theme square.

Package: deepin-theme-hazy-color
Architecture: all
Description: deepin desktop-environment - hazy color theme
 deepin theme hazy color.

Package: deepin-theme-organic-glass
Architecture: all
Description: deepin desktop-environment - organic glass theme
 deepin theme organic glass.

Package: deepin-theme-macaron
Architecture: all
Description: deepin desktop-environment - macaron theme
 deepin theme macaron.

Package: deepin-theme-nirvana
Architecture: all
Description: deepin desktop-environment - nirvana theme
 deepin theme nirvana.

Package: deepin-theme-origin
Architecture: all
Description: deepin desktop-environment - origin theme
 deepin theme origin.

Package: deepin-desktop-theme
Architecture: any
Depends:
   deepin-theme-bloom,
   deepin-theme-bloom-dark,
   deepin-theme-vintage,
   deepin-theme-organic-glass,
   deepin-theme-hazy-color,
   deepin-theme-flow,
   deepin-theme-square,
   deepin-theme-nirvana,
   deepin-theme-origin,
   libdtk6gui-bin,
   ${misc:Depends},${shlibs:Depends},
Description: deepin desktop theme
 This package is DeepinDesktopTheme

Package: deepin-xdgicon-convert
Architecture: any
Depends:
   libdtk6gui-bin,
   ${misc:Depends},${shlibs:Depends},
Description: deepin xdgicon convert tool
 This package provides a tool to convert xdg icon theme to debian icon theme.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5

include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DVERSION=$(DEB_VERSION_UPSTREAM) \

## deepin-desktop-theme 1.1.23

=== debian/changelog ===
deepin-desktop-theme (1.1.23) unstable; urgency=medium

  * fix: disable clear button in file chooser

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 13 Nov 2025 20:03:35 +0800

deepin-desktop-theme (1.1.22) unstable; urgency=medium

  * chore: update theme icons
  * chore: Remove unnecessary semicolons

 -- caixiangrong <caixiangrong@uniontech.com>  Thu, 06 Nov 2025 16:27:38 +0800

deepin-desktop-theme (1.1.21) unstable; urgency=medium

  * feat: update application display name and translations
  * feat: improve UI layout and add file clearing functionality

 -- Robertkill <lvpeilong@uniontech.com>  Thu, 30 Oct 2025 20:09:22 +0800
